"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _utils = require("./utils");

var _Button = _interopRequireDefault(require("./Button"));

var _Col = require("./Col");

var propTypes = {
  size: _propTypes.default.string,
  color: _propTypes.default.string,
  outline: _propTypes.default.bool,
  className: _propTypes.default.string,
  tag: _utils.tagPropType
};
var defaultProps = {
  color: 'primary',
  tag: _Button.default
};

var PlaceholderButton = function PlaceholderButton(props) {
  var cssModule = props.cssModule,
      className = props.className,
      Tag = props.tag,
      attributes = (0, _objectWithoutPropertiesLoose2.default)(props, ["cssModule", "className", "tag"]);

  var _getColumnClasses = (0, _Col.getColumnClasses)(attributes, cssModule),
      modifiedAttributes = _getColumnClasses.attributes,
      colClasses = _getColumnClasses.colClasses;

  var classes = (0, _utils.mapToCssModules)((0, _classnames.default)("placeholder", className, colClasses), cssModule);
  return /*#__PURE__*/_react.default.createElement(_Button.default, (0, _extends2.default)({}, modifiedAttributes, {
    className: classes,
    disabled: true
  }));
};

PlaceholderButton.propTypes = propTypes;
PlaceholderButton.defaultProps = defaultProps;
var _default = PlaceholderButton;
exports.default = _default;